# Xem liên hệ tên miền

`GET /v1/domain/@id/contact` · quyền `domains:read`

Thông tin liên hệ chủ thể, quản trị, kỹ thuật, thanh toán của tên miền.

## HTTP request

| Mục | Giá trị |
| --- | --- |
| URL | `https://api.tino.vn/v1/domain/@id/contact` |
| Method | `GET` |
| Quyền (scope) | `domains:read` |
| Header | `Authorization: Bearer <token>` |
| Content-Type | — (không có body) |
| Token gọi được | token ứng dụng (`tinoat_`), token API cá nhân (`tinopat_`) |

## Tham số

| Tên | Vị trí | Kiểu | Bắt buộc | Mô tả |
| --- | --- | --- | --- | --- |
| `id` | đường dẫn | integer | có | ID tên miền |

## Example request

```bash
curl "https://api.tino.vn/v1/domain/200001/contact" \
  -H "Authorization: Bearer $TINO_TOKEN"
```

`$TINO_TOKEN` là token có quyền `domains:read`. Tham số đường dẫn trong ví dụ là giá trị mẫu.

SDK ([SDK & Ví dụ](/docs/sdk)): Python `client.domains.get_contacts(id)`, Node.js `await client.domains.getContacts(id);`, PHP `$client->domains->getContacts($id);`.

## Example response

```json
{
 "success": true,
 "domain_id": "200001",
 "contact_info": {
  "registrant": {
   "phonenumber": "+84.900000000",
   "email": "user@example.com",
   "country": "VN",
   "state": "Thành phố Hồ Chí Minh",
   "city": "Phường Bến Thành",
   "address1": "123 Example Street",
   "address2": "<redacted>",
   "postcode": "700000"
  },
  "admin": {
   "phonenumber": "+84.900000000",
   "email": "user@example.com",
   "country": "VN",
   "state": "Thành phố Hồ Chí Minh",
   "city": "Phường Bến Thành",
   "address1": "123 Example Street",
   "address2": "<redacted>",
   "postcode": "700000"
  },
  "billing": {
   "phonenumber": "+84.900000000",
   "email": "user@example.com",
   "country": "VN",
   "state": "Thành phố Hồ Chí Minh",
   "city": "Phường Bến Thành",
   "address1": "123 Example Street",
   "address2": "<redacted>",
   "postcode": "700000"
  },
  "tech": {
   "phonenumber": "+84.900000000",
   "email": "user@example.com",
   "country": "VN",
   "state": "Thành phố Hồ Chí Minh",
   "city": "Phường Bến Thành",
   "address1": "123 Example Street",
   "address2": "<redacted>",
   "postcode": "700000"
  }
 }
  … 1 more line(s)
```

Mẫu thật từ tài khoản thử, đã che dữ liệu cá nhân; mảng và chuỗi dài được rút gọn (`… N more item(s)`, `… N more line(s)`).
